DOM::EntityReference class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::EntityReference Class Reference

`EntityReference` objects may be inserted into the structure model when an entity reference is in the source document, or when the user wishes to insert an entity reference. More...

`#include <dom_xml.h>`

Inheritance diagram for DOM::EntityReference:

[legend]
Collaboration diagram for DOM::EntityReference:

[legend]
List of all members.

## Public Member Functions
| EntityReference (const EntityReference &other)
| EntityReference (const Node &other)
EntityReference & | operator= (const Node &other)
EntityReference & | operator= (const EntityReference &other)
## Protected Member Functions
| EntityReference (EntityReferenceImpl *i)
## Friends
class | Document

## Detailed Description

`EntityReference` objects may be inserted into the structure model when an entity reference is in the source document, or when the user wishes to insert an entity reference.

Note that character references and references to predefined entities are considered to be expanded by the HTML or XML processor so that characters are represented by their Unicode equivalent rather than by an entity reference. Moreover, the XML processor may completely expand references to entities while building the structure model, instead of providing `EntityReference` objects. If it does provide such objects, then for a given `EntityReference` node, it may be that there is no `Entity` node representing the referenced entity; but if such an `Entity` exists, then the child list of the `EntityReference` node is the same as that of the `Entity` node. As with the `Entity` node, all descendants of the `EntityReference` are readonly.

The resolution of the children of the `EntityReference` (the replacement value of the referenced `Entity` ) may be lazily evaluated; actions by the user (such as calling the `childNodes` method on the `EntityReference` node) are assumed to trigger the evaluation.

Definition at line 191 of file dom_xml.h.

The documentation for this class was generated from the following files:

- dom_xml.h
- dom_xml.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:49 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001